
relatives = list()
person=raw_input("Who's important to you?\n")
relative = {"name" : person}
relatives.append(relative)
answer=""
while answer!="stop":
    if not relative.has_key("relationship"):
        answer=raw_input("What's " + relative["name"] +"'s relationship to you?\n")
        relative["relationship"]=answer
    elif not relative.has_key("feeling"):
        answer=raw_input("How do you feel about " + relative["name"] + " as a " + relative["relationship"] + "?\n")
        relative["feeling"]=answer
    else :
        print "You've told me a lot about", relatives
        answer=raw_input("Who else is important to you?\n")
        relative = {"name" : answer}
        relatives.append(relative)
        
    

